@extends('frame') 
@section('title', 'This is The Bad Space')
  @section('main-content')
    @parent
    <section class="index-search">
      <form class="index-search-form" action="/search" method="post" enctype="multipart/form-data">
        <input type="text" name="index_search" value="" placeholder="Hi! This is where you search." />
        <button aria-label="search-button">
          <img class="button-icon" src="assets/images/global/icon-search.svg" />
        </button>
        @csrf
      </form>
    </section>
    @isset($results)
      <section>
        <article>
          <strong>
            Found {{count($results)}} results:
          </strong><br>
          @for($i = 0; $i < 10; $i++)
            <a role="listitem" href="/location/{{$recent[$i]->uuid}}">{{$recent[$i]->name}}</a></a><br />
          @endfor
        </article>
      </section>
    @endisset
    <section class="index-meta">
      <article>
        <h2>Recent Updates</h2>
        @for($i = 0; $i < 10; $i++)

          @php
            $action = $recent[$i]->block_count + $recent[$i]->silence_count;
            $rating = ($action / $sources)*100;
          @endphp
          <a class="list-link" role="listitem" href="/location/{{$recent[$i]->uuid}}">
            <span class="item-rating">{{$rating}}%</span>
            <label class="item-name">{{$recent[$i]->name}}</label>
            <div class="item-silence">
              <img class="item-icon" src="/assets/images/global/status-silence.svg" title="silenced" />
              {{$recent[$i]->silence_count}}
            </div>
            <div class="item-block">
              <img class="item-icon" src="/assets/images/global/status-suspend.svg" title="suspended" />
              {{$recent[$i]->block_count}}
            </div>
          </a>
        @endfor
        <h2>Bad Space Stats</h2>
        <strong>{{$count}}</strong><br />
        Instances being tracked.

      </article>
    </section>
  @endsection